#include <stdio.h>
#include <stdlib.h>
#include <locale.h>
#include <Xm/XrtGraph.h>

main(int argc, char *argv[]) {
  XtAppContext app_context;
  Widget toplevel, graph;
  XrtDataHandle data;

  setlocale(LC_TIME,"");
  toplevel = XtAppInitialize(&app_context, "graph", NULL, 0,
			     &argc, argv, NULL, NULL, 0);
  data = XrtDataCreateFromFile("daten.dat", NULL);

  graph = XtVaCreateManagedWidget("table", 
				  xtXrtGraphWidgetClass, 
				  toplevel, 
				  XtNxrtData, data,
				  NULL);
  XrtPropertyEditorEnable(graph, True, NULL, True, True);
  XtRealizeWidget(toplevel);
  XtAppMainLoop(app_context);

}

