#include <stdio.h>
#include <stdlib.h>
#include <locale.h>
#include <Xm/XrtTable.h>
#include <Xm/XrtField.h>

main(int argc, char *argv[]) {
  XtAppContext app_context;
  Widget toplevel, table;
  XrtTblCellValues *values;
  Arg args[3];
  XrtTblXmStringList labels;
  String label_list[] = { "Name", "Gre (m)", "Miete" };
  FILE *f;

  f = fopen("mieter.sdf","r");
  toplevel = XtAppInitialize(&app_context, "table", NULL, 0,
			     &argc, argv, NULL, NULL, 0);
  values = XrtTblReadAscii(toplevel, f, ',');
  fclose(f);
  XrtTblEnableXrtField();
  labels.length = XtNumber(label_list);
  labels.list = (XmString*)label_list;
  table = XtVaCreateManagedWidget("table", 
				  xmXrtTableWidgetClass, 
				  toplevel, 
				  XmNxrtTblCellValues, values,
				  XmNxrtTblNumRows, 5,
				  XmNxrtTblNumColumns, 3,
				  XmNxrtTblColumnLabels, &labels,
				  XmNxrtTblXmStringSetMode, XRTTBL_SET_STRING,
				  NULL);
  XtVaSetValues(table, 
		XmNxrtTblContext, XrtTblSetContext(XRTTBL_ALLCELLS, 0),
		XmNxrtTblDataTypeContext, XRTTBL_TYPE_FIELD_STRING,
		NULL);
  XtSetArg(args[0], XmNxrtFldDecimalPlaces, 2);
  XtSetArg(args[1], XmNxrtFldEditFormat, XRTFLD_FORMAT_FIXED);
  XtSetArg(args[2], NULL, NULL);
  XtVaSetValues(table, 
		XmNxrtTblContext, XrtTblSetContext(XRTTBL_ALLCELLS,1),
		XmNxrtTblDataTypeContext, XRTTBL_TYPE_FIELD_FLOAT,
		XmNxrtTblFieldArgListContext, args, NULL
		);
  XtVaSetValues(table, 
		XmNxrtTblContext, XrtTblSetContext(XRTTBL_ALLCELLS, 2),
		XmNxrtTblDataTypeContext, XRTTBL_TYPE_FIELD_CURRENCY,
		NULL);

  XrtTblDestroyCellValues(values);
  XtRealizeWidget(toplevel);
  XtAppMainLoop(app_context);

}

